//*****************************************************************************
// Description     : Prototype declaration of IO functions
// Target Device   : APG7400A
// Target Platform : Linux, C
// Date            : July 2017
// Version         : 1.0
//*****************************************************************************
#ifndef     __FILE_H__
#define     __FILE_H__

#include    "usbmca.h"

extern int  file_read_binary(char*, int, int, void*) ;
extern int  file_write_binary(char*, int, int, void*) ;
extern int  file_save_histogram(char*, USBMCA_HISTOGRAM*) ;


#endif

